<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <file filelist='calendrier_files' name='/usr/share/eole/db/calendrier/gen/calendrier-create-1.sql' source='calendrier-create-1.sql' rm='True' mkdir='True'/>
        <file filelist='calendrier_files' name='/usr/share/eole/db/calendrier/updates/calendrier-update-0.sql' rm='True' mkdir='True'/>
        <file filelist='calendrier_files' name='/etc/eole/eole-db.d/calendrier-db.yml' rm='True' mkdir='True'/>
    </files>
    	
	<containers>
		<container name="web">
            <package>calendrier-apps</package>
            <file filelist='calendrier_files' name='/etc/apache2/sites-available/calendrier' source='calendrier-apache.conf'/>
            <file filelist="calendrier_files" name="/var/www/html/calendrier/config/ldap.inc.php" source="calendrier.ldap.inc.php" rm="True"/>
            <file filelist="calendrier_files" name="/var/www/html/calendrier/config/mysql.inc.php" source="calendrier.mysql.inc.php" rm="True"/>
            <service method="apache" servicelist="calendrier">calendrier</service>
		</container>
	</containers>
    
    <variables>
        <family name='applications web'>
            <variable name='activer_calendrier' type='oui/non' description='Activation du Calendrier des Evènements'>
                <value>oui</value>
            </variable>
        </family>

        <family name='calendrier' mode='expert'>
            <variable type='string' name='calendrier_db_mode' description='Serveur de bases de données à utiliser'/>
            <variable type='string' name='calendrier_dbserver' description='Adresse du serveur de base de données'/>
            <variable type='number' name='calendrier_dbport' description="Port d'écoute du serveur de base de données"/>
            <variable type='string' name='calendrier_allow_hosts' description="Hôtes authorisés à utiliser la base de données" multi='True'/>
            <variable type='string' name='calendrier_dbuser' description='Utilisateur du serveur de base de données'/>
            <variable type='string' name='calendrier_dbpass' description='Fichier de mot de passe du serveur'/>
        </family>	
    </variables>

    <constraints>    
        <condition name='hidden_if_in' source='activer_calendrier'>
            <param>non</param>
            <target type='filelist'>calendrier_files</target>
            <target type='servicelist'>calendrier</target>
        </condition>   

  
        <check name='valid_enum' target='calendrier_db_mode'>
            <param>['default', 'externe', 'local']</param>
        </check>
        <condition name='disabled_if_in' source='calendrier_db_mode'>
            <param>local</param>
            <target type='variable'>calendrier_dbserver</target>
            <target type='variable'>calendrier_dbuser</target>
            <target type='variable'>calendrier_dbport</target>
            <target type='variable'>calendrier_dbpass</target>
        </condition>
        <condition name='disabled_if_in' source='calendrier_db_mode'>
            <param>default</param>
            <target type='variable'>calendrier_dbserver</target>
            <target type='variable'>calendrier_dbuser</target>
            <target type='variable'>calendrier_dbport</target>
            <target type='variable'>calendrier_dbpass</target>
            <target type='variable'>calendrier_allow_hosts</target>
        </condition>  
    </constraints>
</creole>
